/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SYS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_SCHEMESHAREUSERS') 
 CREATE TABLE T_BAS_SCHEMESHAREUSERS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAS_FILTERSCHEME_L' AND KSQL_COL_NAME ='FSCHEMEID') 
 ALTER TABLE T_BAS_FILTERSCHEME_L ADD (FSCHEMEID VARCHAR(20) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAS_FILTERSCHEME' AND KSQL_COL_NAME ='FCREATETIME') 
 ALTER TABLE T_BAS_FILTERSCHEME ADD (FCREATETIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAS_FILTERSCHEME' AND KSQL_COL_NAME ='FMODIFYTIME') 
 ALTER TABLE T_BAS_FILTERSCHEME ADD (FMODIFYTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_SHAREFILTERSCHEME') 
 CREATE TABLE T_BAS_SHAREFILTERSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID VARCHAR(20) DEFAULT ' ' NOT NULL,
FSHARETIME DATETIME DEFAULT GETDATE() NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SYS_table.sql **/
